is M33 dead?

Discussion in 'PSP - Games & Content' started by Giga_Gaia, Aug 5, 2009.

  1. Giga_Gaia
    OP

    Giga_Gaia Shinigami

    Member
    1,301
    40
    Sep 12, 2006
    Canada
    Quebec, Canada
    It's been a while since it got an update. The latest version is 5.00? Why isn't it getting any updates anymore?
     


  2. Cermage

    Cermage GBAtemp Advanced Maniac

    Member
    1,702
    0
    Dec 2, 2007
    dax said he was going to skip 5.5 and wait for 6.0 update to be released before releasing another m33 i believe.
     
  3. Rucario

    Rucario Member

    Newcomer
    41
    0
    Sep 17, 2007
    Brazil
    No, it isn't. I believe DAX is working on TA-88v3/3000, and as he said before, 5.50 isn't worth to update.
     
  4. Joe88

    Joe88 [λ]

    Member
    11,456
    2,636
    Jan 6, 2008
    United States
    NYC
    he wont make updates for new firmwares when nothing has changed from the last besides "security updates"
     
  5. warbird

    warbird GBAtemp Regular

    Member
    290
    0
    May 25, 2007
    Wish he(or someone) would release a patch to enable the psn store though...
     
  6. clegion

    clegion GBAtemp Advanced Maniac

    Member
    1,612
    3
    May 5, 2009
    United States
    but it cannot play newer games right, maybe tha's worth upgrading
     
  7. dib

    dib GBAtemp Advanced Maniac

    Member
    1,574
    6
    May 1, 2004
    United States
    I haven't encountered anything not working on my 5.00m33-6. Even that crappy Monster Hunter game that just came out is fine.

    Everybody complaining about the online store need to get over themselves. When you use homebrew/hacked software unsanctioned by the first party, you risk losing features like online compatibility. That's how these things have always worked, and crying to the developers over it is ridiculous.
     
  8. djricekcn

    djricekcn GBAtemp Advanced Fan

    Member
    938
    36
    May 29, 2009
    United States

    I can only think of 1 game (well 3) that doesn't work with 5.00m33 series due to firmware number (unless if youapply a patch to the iso). those 1 (or 3) are Idol Master SP
     
  9. clegion

    clegion GBAtemp Advanced Maniac

    Member
    1,612
    3
    May 5, 2009
    United States
    so in other word i have to go patched if i am gonna play 5.50 games on 5.00 m33 right, that "crappy" mosnter hunter game come out before 5.50 ofw come out so yeah
     
  10. Law

    Law rip ninjacat that zarcon made me

    Member
    4,132
    217
    Aug 14, 2007
    ‭jerkland
    That was before, and this is now when compatability is at stake.

    Although I doubt much will be done for a while, not like it matters too much though.
     
  11. omatic

    omatic GBAtemp Fan

    Member
    408
    4
    Apr 25, 2007
    United States
    United States
    I just need to be able to play me some Disgaea 2 and Dissidia (and Soul Caliber would be nice), and I'll be good. But, if the UMDs (or digital copies) are going to force me to update my firmware, then I'll have to forego those methods of data acquisition.

    I'm not holding my breath for anything from DA, as he has a life too, and probably has more pressing concerns than PSP hacking. I'm not giving up my EMU collection, so I'll wait until some team gets a compatible firmware up. Until then, I may have to get some pre-orders refunded.
     
  12. Giga_Gaia
    OP

    Giga_Gaia Shinigami

    Member
    1,301
    40
    Sep 12, 2006
    Canada
    Quebec, Canada
    Tales of VS and the Evangelion game aren't fine. They come with firmware 5.55 and prompt for an update (the update isn't out except on UMD). So maybe he should update.

    Also, he says nothing is worth the updating, well, imo, PSN is worth it.
     
  13. raulpica

    raulpica With your drill, thrust to the sky!

    Supervisor
    10,976
    7,151
    Oct 23, 2007
    Italy
    PowerLevel: 9001
    Caaarp, I wanna play Evangelion: Jo [​IMG]
    I also have it for PS2, but playing it on the PSP is better :/
     
  14. Rock Raiyu

    Rock Raiyu Clock Up

    Member
    5,066
    38
    Jul 14, 2007
    United States
    Walking the path of heaven
    Armored Core 3 Portable doesn't work...Tales of VS doesn't work. Dissidia and Soul Calibur are bound to have the same update/piracy check as well. Looks like if someone doesn't figure a way around this, we'll be in for a long wait.
     
  15. Shardnax

    Shardnax GBAtemp Regular

    Member
    179
    1
    Aug 23, 2008
    United States
    Damn right it is. What the point of using the PSN, I haven't been past Game in the XMB since I got Netfront?
     
  16. DBlaze

    DBlaze I don't know what i'm doing.

    Member
    202
    54
    Nov 15, 2006
    Netherlands
    I don't really care about armored core, but is tales of vs released? Didn't know that one.
     
  17. Giga_Gaia
    OP

    Giga_Gaia Shinigami

    Member
    1,301
    40
    Sep 12, 2006
    Canada
    Quebec, Canada
    Yep, it's out, it was leaked (also, it's out today in japan)

    Come with firmware 5.55
     
  18. zidane_genome

    zidane_genome My sword has a +2 bleeding... wanna test it out?

    Member
    2,320
    0
    May 21, 2006
    United States
    PSP Custom Firmware 5.50 GEN-B Released

    The PSPGEN posse has released the next iteration of their Custom Firmware: 5.50 GEN-B. Current 5.00 M33 users — you’re missing out and perhaps acting a bit stubborn — you may as well bite the bullet and just upgrade. Access to the PlayStation Store alone is worth it; check it out…

    What you need:

    * A PSP-1000 or PSP-2000 v1 or v2 already running Custom Firmware 5.50 GEN-A. DO NOT attempt to install this on a PSP-3000 or any PSP with a TA-088v3 motherboard.

    5.50 GEN-B [translated] changes:

    * Bug fix: the VSH menu can now be disabled
    * Pressing Select can start the recovery, bring up the VSH recovery menu, or do nothing at all (for those who wish to use Remote Play between their PSP and PS3)
    * Update via Network (taken from M33)
    * * That Evangelion Jo game we told you about; it can be launched & played now
    * Pandora (converting the battery to/from the Pandora-state) and Shutdown Device options added to the VSH menu
    * Flash1 format option adds a check that prevents a flash1 format if enabled
    * Access [remains open] to the PlayStation Store and Remote Play continues working

    * Playing Evangelion: Jo without having to patch the ISO is a bit unstable. This is more or less a proof-of-concept to bypass the newly introduced CFW check. Proper details on countering this protection will be released later. For now — very quickly press Triangle & Circle when starting the game. It should work.

    Once again — props to the GEN team. Nice work.
     
  19. Ryupower

    Ryupower Brood

    Member
    2,876
    412
    Oct 8, 2007
    United States
    5.50 gen -b has been out for a good time
    and
    tales of vs NEEDs 5.55 (5.50 gen-b and 5.00 m33-6 cant run it)

    m33 will only get a new update when a BIG OFW happens

    when a big name name come out we may see a new update
     
  20. clegion

    clegion GBAtemp Advanced Maniac

    Member
    1,612
    3
    May 5, 2009
    United States
    like for example 6.00?? that's why i am gonna have three psp (i left my phat in indo, i have my slim now(iso usage), and i am gonna see if i can get brite/go(official/legit) by the time dissidia come )